## Index

### Variables

- aes
- ed25519
- hash
- keystore
- rsa

### Functions

- sha256Str

## Variables

### Const aes

aes: { decrypt: (encrypted: Uint8Array, keyStr: string, alg: SymmAlg) => Promise<Uint8Array>; decryptGCM: (encrypted: string, keyStr: string, ivStr: string) => Promise<string>; encrypt: (data: Uint8Array, keyStr: string, alg: SymmAlg) => Promise<Uint8Array>; genKeyStr: (alg?: SymmAlg) => Promise<string> } = ...

- Defined in crypto/index.ts:30

#### Type declaration

- ##### decrypt: (encrypted: Uint8Array, keyStr: string, alg: SymmAlg) => Promise<Uint8Array>

  - - (encrypted: Uint8Array, keyStr: string, alg: SymmAlg): Promise<Uint8Array>

    - #### Parameters

      - ##### encrypted: Uint8Array

      - ##### keyStr: string

      - ##### alg: SymmAlg

      #### Returns Promise<Uint8Array>

- ##### decryptGCM: (encrypted: string, keyStr: string, ivStr: string) => Promise<string>

  - - (encrypted: string, keyStr: string, ivStr: string): Promise<string>

    - #### Parameters

      - ##### encrypted: string

      - ##### keyStr: string

      - ##### ivStr: string

      #### Returns Promise<string>

- ##### encrypt: (data: Uint8Array, keyStr: string, alg: SymmAlg) => Promise<Uint8Array>

  - - (data: Uint8Array, keyStr: string, alg: SymmAlg): Promise<Uint8Array>

    - #### Parameters

      - ##### data: Uint8Array

      - ##### keyStr: string

      - ##### alg: SymmAlg

      #### Returns Promise<Uint8Array>

- ##### genKeyStr: (alg?: SymmAlg) => Promise<string>

  - - (alg?: SymmAlg): Promise<string>

    - #### Parameters

      - ##### Optional alg: SymmAlg

      #### Returns Promise<string>

### Const ed25519

ed25519: { verify: (message: Uint8Array, signature: Uint8Array, publicKey: Uint8Array) => Promise<boolean> } = ...

- Defined in crypto/index.ts:116

#### Type declaration

- ##### verify: (message: Uint8Array, signature: Uint8Array, publicKey: Uint8Array) => Promise<boolean>

  - - (message: Uint8Array, signature: Uint8Array, publicKey: Uint8Array): Promise<boolean>

    - #### Parameters

      - ##### message: Uint8Array

      - ##### signature: Uint8Array

      - ##### publicKey: Uint8Array

      #### Returns Promise<boolean>

### Const hash

hash: { sha256: (bytes: Uint8Array) => Promise<Uint8Array>; sha256Str: (str: string) => Promise<string> } = ...

- Defined in crypto/index.ts:19

#### Type declaration

- ##### sha256: (bytes: Uint8Array) => Promise<Uint8Array>

  - - (bytes: Uint8Array): Promise<Uint8Array>

    - #### Parameters

      - ##### bytes: Uint8Array

      #### Returns Promise<Uint8Array>

- ##### sha256Str: (str: string) => Promise<string>

  - - (str: string): Promise<string>

    - #### Parameters

      - ##### str: string

      #### Returns Promise<string>

### Const keystore

keystore: { clear: () => Promise<void>; decrypt: (encrypted: string) => Promise<string>; exportSymmKey: (name: string) => Promise<string>; getAlg: () => Promise<string>; importSymmKey: (key: string, name: string) => Promise<void>; keyExists: (keyName: string) => Promise<boolean>; publicExchangeKey: () => Promise<string>; publicWriteKey: () => Promise<string>; sign: (message: string, charSize: number) => Promise<string> } = ...

- Defined in crypto/index.ts:126

#### Type declaration

- ##### clear: () => Promise<void>

  - - (): Promise<void>

    - #### Returns Promise<void>

- ##### decrypt: (encrypted: string) => Promise<string>

  - - (encrypted: string): Promise<string>

    - #### Parameters

      - ##### encrypted: string

      #### Returns Promise<string>

- ##### exportSymmKey: (name: string) => Promise<string>

  - - (name: string): Promise<string>

    - #### Parameters

      - ##### name: string

      #### Returns Promise<string>

- ##### getAlg: () => Promise<string>

  - - (): Promise<string>

    - #### Returns Promise<string>

- ##### importSymmKey: (key: string, name: string) => Promise<void>

  - - (key: string, name: string): Promise<void>

    - #### Parameters

      - ##### key: string

      - ##### name: string

      #### Returns Promise<void>

- ##### keyExists: (keyName: string) => Promise<boolean>

  - - (keyName: string): Promise<boolean>

    - #### Parameters

      - ##### keyName: string

      #### Returns Promise<boolean>

- ##### publicExchangeKey: () => Promise<string>

  - - (): Promise<string>

    - #### Returns Promise<string>

- ##### publicWriteKey: () => Promise<string>

  - - (): Promise<string>

    - #### Returns Promise<string>

- ##### sign: (message: string, charSize: number) => Promise<string>

  - - (message: string, charSize: number): Promise<string>

    - #### Parameters

      - ##### message: string

      - ##### charSize: number

      #### Returns Promise<string>

### Const rsa

rsa: { decrypt: (data: Uint8Array, privateKey: CryptoKey) => Promise<any>; encrypt: (message: Uint8Array, keyStr: string) => Promise<any>; genKey: () => Promise<CryptoKeyPair>; verify: (message: Uint8Array, signature: Uint8Array, publicKey: Uint8Array) => Promise<boolean> } = ...

- Defined in crypto/index.ts:73

#### Type declaration

- ##### decrypt: (data: Uint8Array, privateKey: CryptoKey) => Promise<any>

  - - (data: Uint8Array, privateKey: CryptoKey): Promise<any>

    - #### Parameters

      - ##### data: Uint8Array

      - ##### privateKey: CryptoKey

      #### Returns Promise<any>

- ##### encrypt: (message: Uint8Array, keyStr: string) => Promise<any>

  - - (message: Uint8Array, keyStr: string): Promise<any>

    - #### Parameters

      - ##### message: Uint8Array

      - ##### keyStr: string

      #### Returns Promise<any>

- ##### genKey: () => Promise<CryptoKeyPair>

  - - (): Promise<CryptoKeyPair>

    - #### Returns Promise<CryptoKeyPair>

- ##### verify: (message: Uint8Array, signature: Uint8Array, publicKey: Uint8Array) => Promise<boolean>

  - - (message: Uint8Array, signature: Uint8Array, publicKey: Uint8Array): Promise<boolean>

    - #### Parameters

      - ##### message: Uint8Array

      - ##### signature: Uint8Array

      - ##### publicKey: Uint8Array

      #### Returns Promise<boolean>

## Functions

### sha256Str

- sha256Str(str: string): Promise<string>

- - Defined in crypto/index.ts:13

  #### Parameters

  - ##### str: string

  #### Returns Promise<string>

Generated using TypeDoc